package de.hdm_stuttgart.mi.sd1.task1;

/**
 * Integer number manipulations.
 */
public class _3_Number {

    /**
     * Compute a new number from a given positive one by adding a value of one to each of its digits.
     * The »9« digit will be replaced by a »10« (no carry over, just shifting neighbouring digits around).
     *
     * Examples:
     * <ul>
     *     <li>123 becomes 234</li>
     *     <li>91293 becomes 1023104</li>
     * </ul>
     *
     * @param n The input to be enlarged digit wise.
     * @return The raised value.
     *
     * <section class="implementationHints">
     *    <h4 class="implementationHints">Possible implementation idea (»brute force« wise):</h4>
     *    <ol>
     *        <li>Transform the given value into a {@link String} i.e. an <code>int</code> 1234 becomes
     *        <code>"1234"</code>.</li>
     *        <li>Iterate over all digits applying the given substitution rules.</li>
     *        <li>Turn the resulting {@link String} back into an <code>int</code>.</li>
     *    </ol>
     * </section>
     */
    static public int raiseDigitsByOne(int n) {
        return -1; // TODO: Implement me correctly
    }

    private _3_Number(){/* Ignore me: Suppressing default constructor javadoc generation:
                                    javadoc does not include private constructors by default */}
}
